Subject: Re: bug#71153: [PATCH] gnu: Validate substitute URLs for guix service.

From: Antero Mejr <[email-masked]>
Date: Fri, 24 May 2024 18:26:56 +0000

Richard Sent <[email-masked]> writes:

> Should we instead create a validate-substitute-urls and use that as a
> sanitizer for the guix-extension and guix-configuration records? This
> would catch errors during record creation instead of service creation,
> as well as still perform validation if anything else does or will use
> those records in the future.

The problem mentioned in the initial patch only occurs when the invalid
URLs are used in the Guix service type. Having them in the record isn't
a problem. I don't there there is a major difference in where the
validation occurs though.